using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class CurrentStaffTrainDays : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<int>(
                name: "CurrentStaffTrainDays",
                table: "TrialDocument",
                type: "int",
                nullable: true);

            migrationBuilder.AddColumn<bool>(
                name: "IsPublish",
                table: "TrialDocument",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<int>(
                name: "NewStaffTrainDays",
                table: "TrialDocument",
                type: "int",
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "CurrentStaffTrainDays",
                table: "TrialDocument");

            migrationBuilder.DropColumn(
                name: "IsPublish",
                table: "TrialDocument");

            migrationBuilder.DropColumn(
                name: "NewStaffTrainDays",
                table: "TrialDocument");
        }
    }
}
